Last year,

I did a Wedding picture shopping site, using a combination of Websphere Studio 4.x, Domino and Tomcat 4.1. I'm currently overhauling it to run on Websphere 5 and WSAD v5. Comments so far ? Websphere studio v5 is well worth the upgrade, if nothing else for the J2EE 1.3 support. Lots of things in there have been improved - automatic STRUTS, multi-language support, etc, for your application. Well worth a look.
Hot Diggedy Dog - I might have just fixed the "login prompt" problem!